<?php
/**
 * @version     $Id$
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.modeladmin');

/**
 * Game model.
 *
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @since       2.7.0
 */
class JumbotronModelGame extends JModel
{
	public function getGame()
	{
		$game_id = JRequest::getInt('id');
		
		$db = $this->getDbo();
		$query = $db->getQuery(true);

		//Get game info
		$query->select
			(
				'g.id AS game_id, g.game_date AS game_date, g.final_type AS final, g.tba AS tba, '.
				'g.home_team, g.home_score AS home_score, g.away_team, g.away_score AS away_score, '.
				'g.tourney AS tourney, g.game_intro AS game_intro, g.body AS body'
			);
		$query->from('#__jumbotron_games AS g');

		//JOIN the home_team
		$query->select('ht.id AS home_id, ht.school_id AS home_sid, ht.sports_id AS home_sport');
		$query->join('LEFT', '#__jumbotron_teams AS ht ON ht.id = g.home_team');
		
		//JOIN the away_team
		$query->select('at.id AS away_id, at.school_id AS away_sid');
		$query->join('LEFT', '#__jumbotron_teams AS at ON at.id = g.away_team');
		
		//JOIN the home school
		$query->select('hs.id AS home_team, hs.school_name AS home_school, hs.school_medium AS home_medium, '.
			'hs.school_display AS home_display, hs.school_nickname AS home_mascot');
		$query->join('LEFT', '#__jumbotron_schools AS hs ON hs.id = ht.school_id');

		//JOIN the away school
		$query->select('vs.id AS away_team, vs.school_name AS away_school, vs.school_medium AS away_medium, '.
			'vs.school_display AS away_display, vs.school_nickname AS away_mascot');
		$query->join('LEFT', '#__jumbotron_schools AS vs ON vs.id = at.school_id');
		
		//JOIN the sport information
		$query->select('sp.id');
		$query->join('LEFT', '#__jumbotron_sports AS sp ON sp.id = ht.sports_id');
		
		//JOIN the stadium information if needed
		$query->select('st.school_name AS location');
		$query->join('LEFT', '#__jumbotron_schools AS st ON st.id = g.stadium_id');
		
		$query->where("g.id = '{$game_id}'");

		$db->setQuery($query);

		$rows = $db->loadObject();

		return $rows;
	}
}