<?php 
defined( '_JEXEC' ) or die;

jimport('joomla.database.databasequery');

function JumbotronBuildRoute(&$query)
{
	$segments = array();
	
	if (isset($query['view']))
	{
		if ($query['view'] == 'game' || $query['view'] == 'tour')
		{
			$segments[] = JumbotronGetAlias($query['id'], $query['view']);
			unset($query['id']);
		}
		
		// look up Itemid
		$query['Itemid'] = JumbotronGetItemid($query['view']);
		
		unset($query['view']);
	}
	
	return $segments;
}

function JumbotronParseRoute($segments)
{
	$vars = array();
	
	$item = JFactory::getApplication()->getMenu()->getActive();
	
	if (isset($item))
	{
		$vars['view'] = $item->query['view'];
	}
	
	if (count($segments) == 1)
	{
		$vars['id'] = JumbotronGetFromAlias($segments[0], $vars['view']);
	}
	
	return $vars;
}

function JumbotronGetAlias($id, $view)
{
	$db = JFactory::getDbo();
	
	$query = $db->getQuery(true);
	
	if ($view == 'game')
	{
		$query->select('alias');
		$query->from('#__jumbotron_games');
		$query->where('id = ' .$id);
	}
	else if ($view == 'tour')
	{
		$query->select('tour_alias');
		$query->from('#__jumbotron_games');
		$query->where('tour_id = ' .$id);
	}
	else 
	{
		return '';
	}
	
	return $db->setQuery($query)->loadResult();
}

function JumbotronGetIDFromAlias($alias, $view)
{
	$db = JFactory::getDbo();
	
	$query = $db->getQuery(true);
	
	$alias = str_replace(':', '-', $alias);
	$alias = $db->getEscaped($alias);
	
	if ($view == 'game')
	{
		$query->select('id');
		$query->from('#__jumbotron_games');
		$query->where("alias = '{$alias}'");
	}
	else if ($view == 'tour')
	{
		$query->select('id');
		$query->from('#__jumbotron_games');
		$query->where("alias = '{$alias}'");
	}
	else 
	{
		return 0;
	}
	
	return $db->setQuery($query)->loadResult();
}

function JumbotronGetItemid($view)
{
	$db = JFactory::getDbo();
	
	$db_query = $db-getQuery(true);
	$db_query->select('id')
			->from('#__menu')
			->where("link = 'index.php?option=com_jumbotron&view=" . $view. "' AND client_id = 0");
	
	$db->setQuery($db_query);
	
	return $db->loadResult();
}